#ifndef ___FRAME0_H
#define ___FRAME0_H
extern void _frame0();
extern int _CurrentFrame;
extern void FreeCurrentFrame();
extern void hmi_GotoFrame(int nFrame);
extern void hmi_TimerTrigger();
extern void hmi_TurnBacklight(int bOn);
extern int g_TimerTicksCount;

extern tSliderWidget SliderWidget5;
extern void OnSliderWidget5SliderChange(tWidget *pWidget, long lValue);

extern void OnHotSpotWidget24Click(tWidget *pWidget);

extern void OnHotSpotWidget25Click(tWidget *pWidget);

extern void OnHotSpotWidget35Click(tWidget *pWidget);

extern void OnHotSpotWidget105Click(tWidget *pWidget);

extern tCheckBoxWidget CheckBoxWidget52;
extern void OnCheckBoxWidget52CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCanvasWidget LabelWidget17;
extern tCheckBoxWidget CheckBoxWidget9;
extern void OnCheckBoxWidget9CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget13;
extern void OnCheckBoxWidget13CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget19;
extern void OnCheckBoxWidget19CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget21;
extern void OnCheckBoxWidget21CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget12;
extern void OnCheckBoxWidget12CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget23;
extern void OnCheckBoxWidget23CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget29;
extern void OnCheckBoxWidget29CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget31;
extern void OnCheckBoxWidget31CheckChange(tWidget *pWidget, unsigned long bSelected);

extern void OnHotSpotWidget10Click(tWidget *pWidget);

extern tCheckBoxWidget CheckBoxWidget26;
extern void OnCheckBoxWidget26CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget33;
extern void OnCheckBoxWidget33CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget37;
extern void OnCheckBoxWidget37CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget39;
extern void OnCheckBoxWidget39CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget22;
extern void OnCheckBoxWidget22CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget36;
extern void OnCheckBoxWidget36CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget42;
extern void OnCheckBoxWidget42CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget44;
extern void OnCheckBoxWidget44CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget46;
extern void OnCheckBoxWidget46CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget50;
extern void OnCheckBoxWidget50CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget54;
extern void OnCheckBoxWidget54CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget56;
extern void OnCheckBoxWidget56CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget28;
extern void OnCheckBoxWidget28CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget43;
extern void OnCheckBoxWidget43CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget51;
extern void OnCheckBoxWidget51CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget55;
extern void OnCheckBoxWidget55CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget34;
extern void OnCheckBoxWidget34CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget53;
extern void OnCheckBoxWidget53CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget60;
extern void OnCheckBoxWidget60CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget62;
extern void OnCheckBoxWidget62CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget71;
extern void OnCheckBoxWidget71CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget77;
extern void OnCheckBoxWidget77CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget59;
extern void OnCheckBoxWidget59CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget63;
extern void OnCheckBoxWidget63CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget57;
extern void OnCheckBoxWidget57CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget64;
extern void OnCheckBoxWidget64CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget66;
extern void OnCheckBoxWidget66CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget68;
extern void OnCheckBoxWidget68CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget70;
extern void OnCheckBoxWidget70CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget72;
extern void OnCheckBoxWidget72CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget74;
extern void OnCheckBoxWidget74CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget76;
extern void OnCheckBoxWidget76CheckChange(tWidget *pWidget, unsigned long bSelected);

extern void OnHotSpotWidget61Click(tWidget *pWidget);

extern void OnHotSpotWidget18Click(tWidget *pWidget);

extern tCheckBoxWidget CheckBoxWidget40;
extern void OnCheckBoxWidget40CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget114;
extern void OnCheckBoxWidget114CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget73;
extern void OnCheckBoxWidget73CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget99;
extern void OnCheckBoxWidget99CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget58;
extern void OnCheckBoxWidget58CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget80;
extern void OnCheckBoxWidget80CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget131;
extern void OnCheckBoxWidget131CheckChange(tWidget *pWidget, unsigned long bSelected);

extern void OnHotSpotWidget132Click(tWidget *pWidget);

extern tCheckBoxWidget CheckBoxWidget32;
extern void OnCheckBoxWidget32CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget86;
extern void OnCheckBoxWidget86CheckChange(tWidget *pWidget, unsigned long bSelected);

extern void OnFrame12Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame24Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame36Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame411Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame567Paint(tWidget *pWidget, tContext *pContext);

extern tCanvasWidget CanvasFrame1;
extern tCanvasWidget CanvasFrame2;
extern tCanvasWidget CanvasFrame3;
extern tCanvasWidget CanvasFrame4;
extern tCanvasWidget CanvasFrame5;

extern void InitWidget1();
extern void InitWidget2();
extern void InitWidget3();
extern void InitWidget4();
extern void InitWidget5();

extern void FreeWidget1();
extern void FreeWidget2();
extern void FreeWidget3();
extern void FreeWidget4();
extern void FreeWidget5();


extern void _frame1();
extern void _frame2();
extern void _frame3();
extern void _frame4();
extern void _frame5();

#endif
